Ruby - Bug #179

confusion about treating filesystem encoding
06/18/2008 01:38 PM - usa (Usaku NAKAMURA)

Status: Closed
Priority: Normal
Assignee:

Target version:

ruby -v: Backport:

Description
Index: io.c

--- i0.c (revision 17396)

+++ i0.c (working copy)

@@ -4107,16 +4107,16 @@ rb_open_file(int argc, VALUE *argv, VALU
static int fs_encoding;

int fnrame_encoding = rb_enc_get_index(fname);

if (Ifs_encoding)

[

e if (rb_usascii_encoding() != fname_encoding

e if (rb_usascii_encindex() = fname_encoding

#if defined APPLE
#endif

&& fs_encoding != fname_encoding) {
static VALUE fs_enc;

if (Ifs_enc)

fname = rb_str_transcode (fname, fs_enc);
}
}
goooo
U.Nakamura usa@garbagecollect.jp
=end
History

#1 - 06/18/2008 03:17 PM - naruse (Yui NARUSE)
- Status changed from Open to Closed
- % Done changed from 0 to 100

=begin
Applied in changeset r17403.
=end

#2 - 06/19/2008 01:38 AM - naruse (Yui NARUSE)

=begin
aoooo

U.Nakamura wrote:

rb_utf8_encindex()[|DDDDDDDDD?
NARUSE, Yui naruse@airemix.jp

=end
